#83 Adaptec ANA6411A/TX do not work

critical
closed-fixed
Jeff Garzik
8139too (65)
5
2002-08-09
2002-01-20
No

See also https://sourceforge.net/tracker/index.php?
func=detail&aid=475763&group_id=13004&atid=113004

I have Adaptec ANA6911A/TX Combo (10base2 and
10/100baseT ports) netword card.

...
PCI: 00:0c:0: chip 1011,0019 card 1109,2b00 rev 21
class 02,00,00 hdr 00
...

DEC21143,DP83840AVCE,NE83Q92A and DP83223V
chip into cards.

I uses card with Intel440BX mother bord chipset.

Linux kernel 2.4.13

make xconfig

.config
...
CONFIG_TULIP=m
CONFIG_TULIP_MWI=y
(CONFIG_TULIP_MWI=n same effect!!!)
CONFIG_TULIP-MMIO=y
...

Compile kernel and modules
make dep
make bzImage
make modules
make modules_install

--------------------------------------------------------------------------------

Conect 10base2(BNC) cable with another computer.

Config modules.conf
...
alias eth0 tulip
options tulip options=1 # Select 10base2 media.

Boot kernel
...
kernel: Linux Tulip driver version 0.9.15-pre8 (Oct 11,
2001)
kernel: PCI: Found IRQ 9 for device 00:0c.0
kernel: tulip0: Transceiver selection forced to 10base2.
kernel: tulip0: EEPROM default media type Autosense.
kernel: tulip0: Index #0 - Media MII (#11) described by a
21142 MII PHY (3) block.
kernel: tulip0: Index #1 - Media 10base2 (#1) described
by a 21142 Serial PHY (2) block.
kernel: tulip0: ***WARNING***: No MII transceiver found!
kernel: eth0: Digital DS21143 Tulip rev 33 at
0xd68ac000, 00:00:D1:19:DD:83, IRQ 9.
kernel: eth0: Using user-specified media 10base2.
...

sh#ping host

PING host (192.168.0.13) from 192.168.0.1 : 56(84)
bytes of data.
64 bytes from server.lunevo.net (192.168.0.13):
icmp_seq=0 ttl=255 time=1.775 msec
64 bytes from server.lunevo.net (192.168.0.13):
icmp_seq=1 ttl=255 time=1.727 msec
64 bytes from server.lunevo.net (192.168.0.13):
icmp_seq=2 ttl=255 time=1.751 msec

--- host ping statistics ---
3 packets transmitted, 3 packets received, 0% packet
loss
round-trip min/avg/max/mdev = 1.727/1.751/1.775/0.019
ms

OK ALL FINE WORKS.

--------------------------------------------------------------------------------

BUT

Conect 100baseT cross over cable or
100baseT>Hub>100baseT cable with another computer.

Config modules.conf
...
alias eth0 tulip
options tulip # Select Autonegativate media.
...
or
...
Config modules.conf
...
alias eth0 tulip
options tulip options=9 # Select MII 10baseT media.
...

sh# reboot

....
kernel: Linux Tulip driver version 0.9.15-pre8 (Oct 11,
2001)
kernel: PCI: Found IRQ 9 for device 00:0c.0
kernel: tulip0: EEPROM default media type Autosense.
kernel: tulip0: Index #0 - Media MII (#11) described by a
21142 MII PHY (3) block.
kernel: tulip0: Index #1 - Media 10base2 (#1) described
by a 21142 Serial PHY (2) block.
kernel: tulip0: ***WARNING***: No MII transceiver found!
kernel: eth0: Digital DS21143 Tulip rev 33 at
0xd68ac000, 00:00:D1:19:DD:83, IRQ 9.
...

Sometimes after cold restart computer.
...
kernel: Linux Tulip driver version 0.9.15-pre8 (Oct 11,
2001)
kernel: PCI: Found IRQ 9 for device 00:0c.0
kernel: tulip0: EEPROM default media type Autosense.
kernel: tulip0: Index #0 - Media MII (#11) described by a
21142 MII PHY (3) block.
kernel: tulip0: Index #1 - Media 10base2 (#1) described
by a 21142 Serial PHY (2) block.
kernel: tulip0: MII transceiver #1 config 3100 status
7849 advertising 0101.
kernel: eth0: Digital DS21143 Tulip rev 33 at
0xd6859000, 00:00:D1:19:DD:83, IRQ 9.
kernel: eth0: Using MII transceiver 1, status ffff.
kernel: eth0: 21143 negotiation status 000000c6, MII.
kernel: eth0: MII status ffff, Link partner report ffff.
...
End outcome ALSO!

sh#ping host

PING 192.168.0.13 (192.168.0.13) from 192.168.0.1 : 56
(84) bytes of data.
From 192.168.0.1: Destination Host Unreachable
From 192.168.0.1: Destination Host Unreachable
From 192.168.0.1: Destination Host Unreachable

--- 192.168.0.13 ping statistics ---
4 packets transmitted, 0 packets received, +3 errors,
100% packet loss

DO NOT WORKS !!!!!!!!!!!!!!!!!!???????????????????
DO NOT WORKS !!!!!!!!!!!!!!!!!!???????????????????
DO NOT WORKS !!!!!!!!!!!!!!!!!!???????????????????

--------------------------------------------------------------------------------

BUT DE4X5 driver works!!!
exemple:

Config modules.conf
...
alias eth0 de4x5
...

reboot

...
kernel: eth0: DC21143 at 0xe800 (PCI bus 0, device 12),
h/w address 00:00:d1:19:dd:83,
kernel: and requires IRQ9 (provided by PCI BIOS).
kernel: de4x5.c:V0.546 2001/02/22
davies@maniac.ultranet.com
kernel: eth0: media is 100Mb/s.
...

sh#ping host

PING 192.168.0.13 (192.168.0.13) from 192.168.0.1 : 56
(84) bytes of data.
64 bytes from 192.168.0.13: icmp_seq=0 ttl=255
time=17.799 msec
64 bytes from 192.168.0.13: icmp_seq=1 ttl=255
time=733 usec
64 bytes from 192.168.0.13: icmp_seq=2 ttl=255
time=628 usec
64 bytes from 192.168.0.13: icmp_seq=3 ttl=255
time=567 usec
64 bytes from 192.168.0.13: icmp_seq=4 ttl=255
time=644 usec

--- 192.168.0.13 ping statistics ---
5 packets transmitted, 5 packets received, 0% packet
loss
round-trip min/avg/max/mdev =
0.567/4.074/17.799/6.862 ms

WORKS !!!!!!!!!! But do not works 10base2 port.

--------------------------------------------------------------------------------

Also In Windows2000Pro with standart Intel 21143 driver
all fine works
(10base2 and 10/100baseT ports).

Sorry my English very bad.

My E-mail box: Alexander@Kholodov.net
--------------------------------------------------------------------------------

Some DUMPs:

#sh ./mii-diag -a
Basic registers of MII PHY #1: 0000 ffff 0000 ffff 0000 ffff
0000 ffff.
Basic mode control register 0x0000: Auto-negotiation
disabled, with
Speed fixed at 10 mbps, half-duplex.
Basic mode status register 0xffff ... ffff.
Link status: established.
Remote fault detected!
*** Link Jabber! ***
Your link partner advertised ffff: Flow-control 100baseT4
100baseTx-FD 100baseTx 10baseT-FD 10baseT, w/
802.3X flow control.

#sh ./tulip-diag -aa
tulip-diag.c:v2.06 1/8/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a Digital DS21143 Tulip adapter at
0xe800.
Digital DS21143 Tulip chip registers at 0xe800:
0x00: ffa05000 ffffffff ffffffff 1273c000 1273c200 f0000102
b20e0000 f3fe0000
0x40: e0000000 fff583ff ffffffff fffe0000 000000c6 ffff0000
fff80000 8ffd0006
Port selection is MII, half-duplex.
Transmit stopped, Receive stopped, half-duplex.
The Rx process state is 'Stopped'.
The Tx process state is 'Stopped'.
The transmit threshold is 128.
The NWay status register is 000000c6.
Internal autonegotiation state is 'Autonegotiation
disabled'.

#sh ./tulip-diag -ee
tulip-diag.c:v2.06 1/8/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a Digital DS21143 Tulip adapter at
0xe800.
Port selection is MII, half-duplex.
Transmit stopped, Receive stopped, half-duplex.
The Rx process state is 'Stopped'.
The Tx process state is 'Stopped'.
The transmit threshold is 128.
The NWay status register is 000000c6.
EEPROM 64 words, 6 address bits.
PCI Subsystem IDs, vendor 1109, device 2b00.
CardBus Information Structure at offset 00000000.
Ethernet MAC Station Address 00:00:D1:19:DD:83.
EEPROM transceiver/media description table.
Leaf node at offset 40, default media type 0800
(Autosense).
2 transceiver description blocks:
Media MII, block type 3, length 23.
MII interface PHY 0 (media type 11).
21143 MII initialization sequence is 2 words: 0821
0000.
21143 MII reset sequence is 3 words: 0821 0001 0000.
Media capabilities are 7800, advertising 01e1.
Full-duplex map 5000, Threshold map 1800.
No MII interrupt.
Media 10base2, block type 2, length 12.
Serial transceiver for 10base2 (media type 65).
CSR13 0009 CSR14 0705 CSR15 0006.
GP pin direction 0821 GP pin data 0005.
EEPROM contents (64 words):
0x00: 1109 2b00 0000 0000 0000 0000 0000 0000
0x08: 00b4 0103 0000 19d1 83dd 2800 0000 0000
0x10: 0000 0000 0000 0000 0800 9702 0003 2102
0x18: 0008 0300 0821 0001 0000 7800 01e0 5000
0x20: 1800 8c00 4102 0009 0705 0006 0821 0005
0x28: 0000 0000 0000 0000 0000 0000 0000 0000
0x30: 0000 0000 0000 0000 0000 0000 0000 0000
0x38: 0000 0000 0000 0000 0000 0000 042b 8ec2
ID block CRC 0xb4 (vs. 0xb4).
Full contents CRC 0x8ec2 (read as 0x8ec2).
tulip-diag.c:746 No MII transceivers found!
Internal autonegotiation state is 'Autonegotiation
disabled'.

#sh ./tulip_diag -mm
tulip-diag.c:v2.06 1/8/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a Digital DS21143 Tulip adapter at
0xe800.
Port selection is MII, half-duplex.
Transmit stopped, Receive stopped, half-duplex.
The Rx process state is 'Stopped'.
The Tx process state is 'Stopped'.
The transmit threshold is 128.
The NWay status register is 000000c6.
tulip-diag.c:746 No MII transceivers found!
Internal autonegotiation state is 'Autonegotiation
disabled'.

DE4X5 driver in debug mode:

eth0: DC21143 at 0xe800 (PCI bus 0, device 12), h/w
address 00:00:d1:19:dd:83,
and requires IRQ9 (provided by PCI BIOS).
de4x5.c:V0.546 2001/02/22
davies@maniac.ultranet.com
Sub-system Vendor ID: 1109
Sub-system ID: 2b00
ID Block CRC: b4
SROM version: 03
# controllers: 01
Hardware Address: 00:00:d1:19:dd:83
CRC checksum: 8ec2
0 2 4 6 8 0A 0C 0E
00 1109 2b00 0000 0000 0000 0000 0000 0000
10 00b4 0103 0000 19d1 83dd 2800 0000 0000
20 0000 0000 0000 0000 0800 9702 0003 2102
30 0008 0300 0821 0001 0000 7800 01e0 5000
40 1800 8c00 4102 0009 0705 0006 0821 0005
50 0000 0000 0000 0000 0000 0000 0000 0000
60 0000 0000 0000 0000 0000 0000 0000 0000
70 0000 0000 0000 0000 0000 0000 042b 8ec2
eth0: DC21143 at 0xe800 (PCI bus 0, device 12), h/w
address 00:00:d1:19:dd:83,

MII device address: 1
MII CR: 3100
MII SR: 7849
MII ID0: 2000
MII ID1: 5c01
MII ANA: 101
MII ANC: 0
MII 16: 0
MII 17: 0
MII 18: 0
and requires IRQ9 (provided by PCI BIOS).
de4x5.c:V0.546 2001/02/22
davies@maniac.ultranet.com
eth0: de4x5 opening with irq 9
physical address: 00:00:d1:19:dd:83:
Descriptor head addresses:
0xce4bb000 0xce4bb080
Descriptor addresses:
RX: 0xce4bb000 0xce4bb010
0xce4bb020 ...0xce4bb070
TX: 0xce4bb080 0xce4bb090
0xce4bb0a0 ...0xce4bb270
Descriptor buffers:
RX: 0x08888020 0x08888820
0x0bcb6820 ...0x0c686820
TX: 0x1510e10c 0x00000000
0x00000000 ...0x00000000
Ring size:
RX: 8
TX: 32
sts: 0xf0660000
bmr: 0xfe208400
imr: 0xf3ff8065
omr: 0x32402002
sisr: 0x000000c2
sicr: 0xffff0009
strr: 0xfff80705
sigr: 0x8ffd0006
eth0: media is TP.

Discussion

  • Jeff Garzik
    Jeff Garzik
    2002-01-21

    • assigned_to: nobody --> jgarzik
     
  • Jeff Garzik
    Jeff Garzik
    2002-08-09

    • labels: 101307 --> 8139too
    • status: open --> closed-fixed
     
  • Jeff Garzik
    Jeff Garzik
    2002-08-09

    Logged In: YES
    user_id=17443

    This problem is fixed in the latest version of the driver. You
    can download the driver from the download section on this
    SourceForge web page.